package com.diagbot.facade;

import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.IndicationDTO;
import com.diagbot.dto.PushDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.IndicationPushVO;
import com.diagbot.vo.PushVO;
import com.diagbot.vo.SearchData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/4 14:08
 */
@Component
public class PushFacade {
    @Autowired
    private AssembleFacade assembleFacade;
    @Autowired
    private CdssCoreClient cdssCoreClient;

    /**
     * 基础推理-症状、查体、化验、辅检、诊断
     *
     * @param pushVO
     */
    public PushDTO push(PushVO pushVO) {
        SearchData searchData = new SearchData();
        BeanUtil.copyProperties(pushVO, searchData);
        //TODO 入参映射
        searchData = assembleFacade.assembleData(searchData);
        BeanUtil.copyProperties(searchData, pushVO);
        RespDTO<PushDTO> resp = cdssCoreClient.push(pushVO);
        RespDTOUtil.respNGDealCover(resp, "远程调用推理接口失败");
        PushDTO data = resp.data;
        //TODO 出参映射
        data = assembleFacade.assemblePushDTO(data, pushVO.getHospitalId());
        return data;
    }

    /**
     * 提示信息相关推理-危急值、开单合理项、药品禁忌等
     *
     * @param indicationPushVO
     */
    public IndicationDTO indicationPush(IndicationPushVO indicationPushVO) {
        SearchData searchData = new SearchData();
        BeanUtil.copyProperties(indicationPushVO, searchData);
        //TODO 入参映射
        searchData = assembleFacade.assembleData(searchData);
        BeanUtil.copyProperties(searchData, indicationPushVO);
        RespDTO<IndicationDTO> resp = cdssCoreClient.indication(indicationPushVO);
        RespDTOUtil.respNGDealCover(resp, "远程调用推理接口失败");
        return resp.data;
    }
}